cURL
curl --request GET \ --url https://api.kapso.ai/platform/v1/functions \ --header 'X-API-Key: <api-key>'
{ "data": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "slug": "calculate-shipping-cost", "status": "draft", "function_type": "cloudflare_worker", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "description": "<string>", "code": "<string>", "version": 123, "last_deployed_at": "2023-11-07T05:31:56Z", "runtime_config": {}, "endpoint_url": "https://api.kapso.ai/platform/v1/functions/{function_id}/invoke", "cf_worker_url": "https://your-function.workers.dev", "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } ] }
Retrieve all serverless functions for your project. Functions are custom JavaScript code that runs on-demand in response to API invocations.
Use this endpoint to:
Functions retrieved successfully
List of functions for the project
Show child attributes
Was this page helpful?